Ticket #1168 (closed defect: fixed)

Opened 10 years ago

Last modified 10 years ago

<CMDタグの srcに jp.youtube.comなど.が入っていると <cmd src形式が作動しない

Reported by: tejima Assigned to: ogawa
Priority: major Milestone: OpenPNE2.10beta2
Component: pne-cmd Version:
Keywords: Cc:

Description (Last modified by tejima)

$regexp = '/&lt;cmd\s+src=&quot;(\w+)&quot;(?:\s+args=&quot;([a-zA-Z0-9_\-+%]+(,[a-zA-Z0-9_\-+%]+)*)?&quot;)?\s*&gt;/i';

14 $GLOBALS_CMD?type? = $type;

$regexp = '/&lt;cmd\s+src=&quot;([\w\.]+)&quot;(?:\s+args=&quot;([a-zA-Z0-9_\-+%]+(,[a-zA-Z0-9_\-+%]+)*)?&quot;)?\s*&gt;/i';

14 $GLOBALS_CMD?type? = $type;

ではいないか?

OK <cmd src="ppw">
OK <cmd src="youtube" args="QjA5faZF1A8">
NG <cmd src="jp.youtube.com" args="QjA5faZF1A8">
NG <cmd src="www.youtube.com" args="a,b,c">

[\w\.]+ に変えたら全部OKになった。

Change History

09/01/07 12:09:40 changed by tejima

  • description changed.

10/02/07 11:12:48 changed by ogawa

  • owner changed from nobody to ogawa.
  • status changed from new to assigned.
  • summary changed from <CMDタグの srcに jp.youtube.comなど.が入っていると <cmd src形式が作動しない。 to <CMDタグの srcに jp.youtube.comなど.が入っていると <cmd src形式が作動しない.
  • type changed from enhancement to defect.
  • milestone changed from OpenPNE2.10 to OpenPNE2.10beta1.

10/03/07 18:05:24 changed by ogawa

  • milestone changed from OpenPNE2.10beta1 to OpenPNE2.10beta2.

10/10/07 15:11:32 changed by ogawa

r4331 にて対応。

10/10/07 15:11:56 changed by ogawa

  • status changed from assigned to closed.
  • resolution set to fixed.